﻿@page "/hotel/view/{HotelId}"

@if (IsFound == true)
{
    <img src="api/storage/blob/@Detail.PhotoId" class="img-thumbnail" />
    <div class="form-group row">
        <label class="col-2 col-form-label" for="name">Name</label>
        <div class="col-10">
            <input value="@Detail.HotelName" readonly class="form-control-plaintext" />
        </div>
    </div>

    <div class="form-group row">
        <label class="col-2 col-form-label" for="name">Address</label>
        <div class="col-10">
            <textarea class="form-control-plaintext">
            @Detail.Address
        </textarea>
        </div>
    </div>

    <div class="form-group row">
        <label class="col-2 col-form-label" for="name">Country</label>
        <div class="col-10">
            <input value="@Detail.CountryName" readonly class="form-control-plaintext" />
        </div>
    </div>

    <div class="form-group row">
        <label class="col-2 col-form-label" for="name">State</label>
        <div class="col-10">
            <input value="@Detail.StateName" readonly class="form-control-plaintext" />
        </div>
    </div>

    <div class="form-group row">
        <label class="col-2 col-form-label" for="name">Name</label>
        <div class="col-10">
            <input value="@Detail.CityName" readonly class="form-control-plaintext" />
        </div>
    </div>

    <div class="form-group row">
        <label class="col-2 col-form-label" for="name">Rating</label>
        <div class="col-10">
            <StarRatingInput @bind-Value="Detail.StarRating" Disabled="true"></StarRatingInput>
        </div>
    </div>
}
else
{
    <NotFound></NotFound>
}